GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "f4263cf9-4de1-4bf9-ad9c-5d38737b94b1",
"Asset": {
"AssetId": "5dfb0717-83da-4ee6-852b-9a35f115d242",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "33c6e1c3-a64b-4e1c-8314-f81f149d375d",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"MeasurementValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "943d8d27-94da-472b-9e29-4165302daf53",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"MeasurementValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "efc12366-b43c-4a99-9a28-f8731bab0a63",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-21T12:25:57.5890423-08:00",
"Location": "sample string 1",
"TaskId": "dca0b0d6-8078-4f03-8a64-84e89cd4c334",
"Values": [
{
"FormFieldValueId": "ffb4e9b7-6e53-41ec-89e7-53fb9361fb3f",
"FormId": "049841f5-c60d-4814-95f2-9c9524019082",
"FormTypeField": {
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "ffb4e9b7-6e53-41ec-89e7-53fb9361fb3f",
"FormId": "049841f5-c60d-4814-95f2-9c9524019082",
"FormTypeField": {
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "c087a049-e2eb-4704-baa8-ef3f7b249622",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "f4263cf9-4de1-4bf9-ad9c-5d38737b94b1",
"Asset": {
"AssetId": "5dfb0717-83da-4ee6-852b-9a35f115d242",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "33c6e1c3-a64b-4e1c-8314-f81f149d375d",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"MeasurementValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "943d8d27-94da-472b-9e29-4165302daf53",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"MeasurementValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "efc12366-b43c-4a99-9a28-f8731bab0a63",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-21T12:25:57.5890423-08:00",
"Location": "sample string 1",
"TaskId": "dca0b0d6-8078-4f03-8a64-84e89cd4c334",
"Values": [
{
"FormFieldValueId": "ffb4e9b7-6e53-41ec-89e7-53fb9361fb3f",
"FormId": "049841f5-c60d-4814-95f2-9c9524019082",
"FormTypeField": {
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "ffb4e9b7-6e53-41ec-89e7-53fb9361fb3f",
"FormId": "049841f5-c60d-4814-95f2-9c9524019082",
"FormTypeField": {
"FormTypeFieldId": "8e9ca4f2-1a10-4ded-ab31-2fd71991d723",
"FormType": {
"FormTypeId": "1acdcd93-c12b-40fe-aa47-e6ec962fbdfd",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "1262be1d-e30a-4d48-b53a-46f888b43856",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d398a809-e67a-4301-8880-bfaacc84adf7",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-21T12:25:57.5890423-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "afc33099-3376-4b6a-bc06-04be0d7da9cb",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "738c1dca-9ac3-4ae0-988c-75e412368511",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "d6af8d2b-89fa-427f-9f1f-2f54241adf92",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "565f2a4f-df69-4942-8813-a70ab2f71916",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "378f6e63-d3b8-4176-8517-6fc7c8636a08",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "a5313a4d-b4ca-466d-b02a-2ab182bdb827",
"FieldId": "ae75285e-ab94-49d5-861e-90ce1a25a1e8",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "c087a049-e2eb-4704-baa8-ef3f7b249622",
"CreateDate": "2026-11-21T12:25:57.5890423-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-21T12:25:57.5890423-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}